# Uses of Class
it.tdlight.jni.TdApi.BusinessLocation

## Uses of TdApi.BusinessLocation in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.BusinessLocation
Modifier and Type
Field
Description
`TdApi.BusinessLocation`
TdApi.BusinessInfo.`location`
Location of the business; may be null if none.
`TdApi.BusinessLocation`
TdApi.SetBusinessLocation.`location`
The new location of the business; pass null to remove the location.
Constructors in it.tdlight.jni with parameters of type TdApi.BusinessLocation
Modifier
Constructor
Description
``
`BusinessInfo(TdApi.BusinessLocation location, TdApi.BusinessOpeningHours openingHours, TdApi.BusinessGreetingMessageSettings greetingMessageSettings, TdApi.BusinessAwayMessageSettings awayMessageSettings)`
Contains information about a Telegram Business account.
``
`SetBusinessLocation(TdApi.BusinessLocation location)`
Changes the business location of the current user.